[[,adp-method {oce} | R Documentation

## Extract Something From an adp Object

### Description

In addition to the usual extraction of elements by name, some shortcuts are also provided, e.g. `u1` retrieves `v[,1]`, and similarly for the other velocity components. The `a` and `q` data can be retrived in `raw` form or numeric form; see examples.

### Usage

    ## S4 method for signature 'adp'
    x[[i, j, ...]]

### Arguments

`x` | An adp object, i.e. one inheriting from `adp-class`.
`i` | The item to extract.
`j` | Optional additional information on the `i` item.
`...` | Optional additional information (ignored).

### Examples

    data(adp)
    head(adp[["v"]][,,1])

[Package oce version 0.9-18 Index]